# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ConnectorstestGoogleCredentials(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'type': 'str',
        'project_id': 'str',
        'private_key_id': 'str',
        'private_key': 'str',
        'client_email': 'str',
        'client_id': 'str',
        'auth_uri': 'str',
        'token_uri': 'str',
        'auth_provider_x509_cert_url': 'str',
        'client_x509_cert_url': 'str'
    }

    attribute_map = {
        'type': 'type',
        'project_id': 'project_id',
        'private_key_id': 'private_key_id',
        'private_key': 'private_key',
        'client_email': 'client_email',
        'client_id': 'client_id',
        'auth_uri': 'auth_uri',
        'token_uri': 'token_uri',
        'auth_provider_x509_cert_url': 'auth_provider_x509_cert_url',
        'client_x509_cert_url': 'client_x509_cert_url'
    }

    def __init__(self, type=None, project_id=None, private_key_id=None, private_key=None, client_email=None, client_id=None, auth_uri=None, token_uri=None, auth_provider_x509_cert_url=None, client_x509_cert_url=None):  # noqa: E501
        """ConnectorstestGoogleCredentials - a model defined in Swagger"""  # noqa: E501
        self._type = None
        self._project_id = None
        self._private_key_id = None
        self._private_key = None
        self._client_email = None
        self._client_id = None
        self._auth_uri = None
        self._token_uri = None
        self._auth_provider_x509_cert_url = None
        self._client_x509_cert_url = None
        self.discriminator = None
        if type is not None:
            self.type = type
        if project_id is not None:
            self.project_id = project_id
        if private_key_id is not None:
            self.private_key_id = private_key_id
        if private_key is not None:
            self.private_key = private_key
        if client_email is not None:
            self.client_email = client_email
        if client_id is not None:
            self.client_id = client_id
        if auth_uri is not None:
            self.auth_uri = auth_uri
        if token_uri is not None:
            self.token_uri = token_uri
        if auth_provider_x509_cert_url is not None:
            self.auth_provider_x509_cert_url = auth_provider_x509_cert_url
        if client_x509_cert_url is not None:
            self.client_x509_cert_url = client_x509_cert_url

    @property
    def type(self):
        """Gets the type of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The type of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this ConnectorstestGoogleCredentials.


        :param type: The type of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def project_id(self):
        """Gets the project_id of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The project_id of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this ConnectorstestGoogleCredentials.


        :param project_id: The project_id of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def private_key_id(self):
        """Gets the private_key_id of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The private_key_id of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._private_key_id

    @private_key_id.setter
    def private_key_id(self, private_key_id):
        """Sets the private_key_id of this ConnectorstestGoogleCredentials.


        :param private_key_id: The private_key_id of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._private_key_id = private_key_id

    @property
    def private_key(self):
        """Gets the private_key of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The private_key of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._private_key

    @private_key.setter
    def private_key(self, private_key):
        """Sets the private_key of this ConnectorstestGoogleCredentials.


        :param private_key: The private_key of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._private_key = private_key

    @property
    def client_email(self):
        """Gets the client_email of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The client_email of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._client_email

    @client_email.setter
    def client_email(self, client_email):
        """Sets the client_email of this ConnectorstestGoogleCredentials.


        :param client_email: The client_email of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._client_email = client_email

    @property
    def client_id(self):
        """Gets the client_id of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The client_id of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._client_id

    @client_id.setter
    def client_id(self, client_id):
        """Sets the client_id of this ConnectorstestGoogleCredentials.


        :param client_id: The client_id of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._client_id = client_id

    @property
    def auth_uri(self):
        """Gets the auth_uri of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The auth_uri of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._auth_uri

    @auth_uri.setter
    def auth_uri(self, auth_uri):
        """Sets the auth_uri of this ConnectorstestGoogleCredentials.


        :param auth_uri: The auth_uri of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._auth_uri = auth_uri

    @property
    def token_uri(self):
        """Gets the token_uri of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The token_uri of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._token_uri

    @token_uri.setter
    def token_uri(self, token_uri):
        """Sets the token_uri of this ConnectorstestGoogleCredentials.


        :param token_uri: The token_uri of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._token_uri = token_uri

    @property
    def auth_provider_x509_cert_url(self):
        """Gets the auth_provider_x509_cert_url of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The auth_provider_x509_cert_url of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._auth_provider_x509_cert_url

    @auth_provider_x509_cert_url.setter
    def auth_provider_x509_cert_url(self, auth_provider_x509_cert_url):
        """Sets the auth_provider_x509_cert_url of this ConnectorstestGoogleCredentials.


        :param auth_provider_x509_cert_url: The auth_provider_x509_cert_url of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._auth_provider_x509_cert_url = auth_provider_x509_cert_url

    @property
    def client_x509_cert_url(self):
        """Gets the client_x509_cert_url of this ConnectorstestGoogleCredentials.  # noqa: E501


        :return: The client_x509_cert_url of this ConnectorstestGoogleCredentials.  # noqa: E501
        :rtype: str
        """
        return self._client_x509_cert_url

    @client_x509_cert_url.setter
    def client_x509_cert_url(self, client_x509_cert_url):
        """Sets the client_x509_cert_url of this ConnectorstestGoogleCredentials.


        :param client_x509_cert_url: The client_x509_cert_url of this ConnectorstestGoogleCredentials.  # noqa: E501
        :type: str
        """

        self._client_x509_cert_url = client_x509_cert_url

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ConnectorstestGoogleCredentials, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ConnectorstestGoogleCredentials):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
